> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service returning the evolution Colder / Warmer / Neutral for a site for a period.

> Service returning the evolution Colder / Warmer / Neutral for a site for a period.



## OpenAPI

````yaml /api-reference/weather-api.yaml get /sites/{site-id}/weather-comparison
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /sites/{site-id}/weather-comparison:
    get:
      tags:
        - Weathers Comparison
      summary: >-
        Service returning the evolution Colder / Warmer / Neutral for a site for
        a period.
      description: >-
        Service returning the evolution Colder / Warmer / Neutral for a site for
        a period.
      operationId: weatherComparisonGet
      parameters:
        - name: site-id
          in: path
          description: ' the identifier of the site'
          required: true
          schema:
            type: string
        - name: beginTs1
          in: query
          description: Begin date 1(included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
          required: true
          schema:
            type: string
            format: date-time
            example: '2019-01-01T00:00:00Z'
        - name: endTs1
          in: query
          description: End date 1 (excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
          required: true
          schema:
            type: string
            format: date-time
            example: '2019-01-01T00:00:00Z'
        - name: beginTs2
          in: query
          description: Begin date 2(included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
          required: true
          schema:
            type: string
            format: date-time
            example: '2019-01-01T00:00:00Z'
        - name: endTs2
          in: query
          description: End date 2(excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss)
          required: true
          schema:
            type: string
            format: date-time
            example: '2019-01-01T00:00:00Z'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WeatherComparisonResponse'
        '400':
          description: >
            Functional Error</br>

            <table>

            <tr><td><b>Error code</b></td><td><b>Error case</b></td></tr>

            <tr><td>ImpossibleWeatherComparisonException</td><td>No weather data
            available from beginDate to endDate {beginDate} {endDate}</td></tr>

            </table>
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    WeatherComparisonResponse:
      type: object
      properties:
        evolution:
          type: string
          description: evolution of the temperature Colder / Warmer / Neutral
          example: COLDER
          enum:
            - COLDER
            - WARMER
            - NEUTRAL
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````